Bug 8603 - Patron card creator - 'Barcode Type' doesn't stick in layouts
Summary: Patron card creator - 'Barcode Type' doesn't stick in layouts
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18246 18320
  Show dependency treegraph
 
Reported: 2012-08-08 23:58 UTC by Derryn
Modified: 2017-05-03 01:42 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts (1.85 KB, patch)
2017-03-11 16:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts (2.02 KB, patch)
2017-03-20 15:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts (2.07 KB, patch)
2017-03-21 13:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts (2.17 KB, patch)
2017-03-21 14:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Derryn 2012-08-08 23:58:01 UTC
To reproduce:

1. Make a new layout
2. Tick "Print card number as barcode"
3. Change 'Barcode Type' to anything other than Code39
4. Save
5. Edit it again
6. Its back to Code39
Comment 1 Marc Véron 2017-03-11 16:21:34 UTC
Created attachment 61010 [details] [review]
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts

To reproduce:

1. Make a new layout
2. Tick "Print card number as barcode"
3. Change 'Barcode Type' to anything other than Code39
4. Save
5. Edit it again
6. Its back to Code39

To test:
1. Apply patch
2. Repeat steps above
3. Verify that 'Barcode type' is selected as expected
Comment 2 Jesse Maseto 2017-03-20 13:33:24 UTC
Still seeing the same behavior after the patch is applied. 

-JesseM
Comment 3 Marc Véron 2017-03-20 14:32:08 UTC
Hi Jesse,

I re-tested with an existing and a new layout for Patron card creator, it works fine for me.

Can you provide the steps you did for testing?

Thanks
Marc
Comment 4 Jesse Maseto 2017-03-20 14:59:34 UTC
Of course. I will retest now and document what happens.

-Jesse
Comment 5 Nick Clemens 2017-03-20 15:28:57 UTC
Created attachment 61325 [details] [review]
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts

To reproduce:

1. Make a new layout
2. Tick "Print card number as barcode"
3. Change 'Barcode Type' to anything other than Code39
4. Save
5. Edit it again
6. Its back to Code39

To test:
1. Apply patch
2. Repeat steps above
3. Verify that 'Barcode type' is selected as expected

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=18063

https://bugs.koha-community.org/show_bug.cgi?id=8063
Comment 6 Kyle M Hall 2017-03-21 13:13:07 UTC
Created attachment 61381 [details] [review]
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts

To reproduce:

1. Make a new layout
2. Tick "Print card number as barcode"
3. Change 'Barcode Type' to anything other than Code39
4. Save
5. Edit it again
6. Its back to Code39

To test:
1. Apply patch
2. Repeat steps above
3. Verify that 'Barcode type' is selected as expected

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=18063

https://bugs.koha-community.org/show_bug.cgi?id=8063

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>


 Current status: Signed Off
Comment 7 Marcel de Rooy 2017-03-21 14:07:42 UTC
Created attachment 61388 [details] [review]
Bug 8603: Patron card creator - 'Barcode Type' doesn't stick in layouts

To reproduce:

1. Make a new layout
2. Tick "Print card number as barcode"
3. Change 'Barcode Type' to anything other than Code39
4. Save
5. Edit it again
6. Its back to Code39

To test:
1. Apply patch
2. Repeat steps above
3. Verify that 'Barcode type' is selected as expected

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

https://bugs.koha-community.org/show_bug.cgi?id=18063

https://bugs.koha-community.org/show_bug.cgi?id=8063

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Brendan Gallagher 2017-03-23 11:59:45 UTC
Pushed to Master - Should be in the 17.05 Release.  Thanks
Comment 9 Katrin Fischer 2017-03-26 20:49:42 UTC
This patch has been pushed to 16.11.x and will be in 16.11.06.
Comment 10 Julian Maurice 2017-03-31 11:45:31 UTC
Pushed to 3.22.x, will be in 3.22.19
Comment 11 Mason James 2017-05-03 01:42:52 UTC
Pushed to 16.05.x, for 16.05.12 release